Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-05-2021 08:29:30

ubub
Membre
Distrib. : debian sid && stable
(G)UI : xfce
Inscription : 14-05-2019

[clos] update video-card driver

Bonjour, voulant jouer à un jeu (oh-my-git), j'ai eu ce message:

Your video card driver does not support any of the supported OpenGL versions.
Please update your drivers or if you have a very old or integrated GPU upgrade it.



La premiere ligne, je comprends ce que ca veut dire : le matos est pas adéquat/trop vieux.. ok ..
La deuxième ligne laisse à penser que ce serait possible de mettre à niveau/jour les drivers ???

voilà de quoi il s'agit:
             

Vendor: LENOVO
             Release Date: 04/01/2010
 


J'ai d'abord essayé comme expliqué dans wiki-debian:

Si votre carte graphique date d'après 2007, essayez de désinstaller le paquet xserver-xorg-video-intel et utilisez le pilote modesetting intégré (xserver-xorg-core) à la place.


Ca n'a rien changé ...

 inxi -G
Graphics:
  Device-1: Intel Mobile 945GM/GMS 943/940GML Express Integrated Graphics
  driver: i915 v: kernel
  Display: x11 server: X.Org 1.20.4 driver: intel
  unloaded: fbdev,modesetting,vesa resolution: 1024x768~60Hz
  OpenGL: renderer: Mesa DRI Intel 945GM v: 1.4 Mesa 18.3.6
 




normalement y'a déja tout

~$ apt search i915
En train de trier... Fait
Recherche en texte intégral... Fait
firmware-misc-nonfree/buster-backports,now 20210315-2~bpo10+1 all  [installé]
  Binary firmware for various drivers in the Linux kernel

xserver-xorg-video-intel/stable,now 2:2.99.917+git20180925-2 amd64  [installé]
  serveur X pour X.org – pilote d'affichage Intel i8xx et i9xx



J'ai même passé firmware-misc non-free en backports pour avoir du plus récent...

Là, j'avoue, j'ai plus d'idées... Dois-je considérer que l'ordi est trop obsolète et basta ou continuer à chercher un moyen de mettre à jour les pilotes (mais est-ce vraiment possible ?)

Dernière modification par ubub (11-05-2021 19:54:04)

En ligne

#2 11-05-2021 14:29:30

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : [clos] update video-card driver

Bonjour
installe le paquet mesa-utils et regarde cette commande


apt-get --reinstall install mesa-utils
 


en user


glxinfo -B
 



ps: selon le driver utilisé (modesetting  ou xserver-xorg-video-intel) il y a une nuance , mais a priori ce jeux ne supporte pas ce gpu intel
tu a des informations aussi dans le log de X


cat /var/log/Xorg.0.log
 

Hors ligne

#3 11-05-2021 14:47:52

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : [clos] update video-card driver

re,
tu peu aussi vérifier si ce jeux supporte le 64 (amd64) ou 32 bits (i386)
quelques exemples avec un gpu intel 630 de 2017 (pas sur qu'il soit suffisant pour ce jeux)


[     3.563] (II) modeset(0): [DRI2] Setup complete
[     3.563] (II) modeset(0): [DRI2]   DRI driver: iris
[     3.563] (II) modeset(0): [DRI2]   VDPAU driver: va_gl
 




lspci -nnk | grep -iA3 vga
 



00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 630 [8086:5912] (rev 04)
  DeviceName:  Onboard IGD
  Subsystem: ASUSTeK Computer Inc. HD Graphics 630 [1043:872f]
  Kernel driver in use: i915
 



sous bullseye la version de opengl


glxinfo -B
name of display: :0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel (0x8086)
    Device: Mesa Intel(R) HD Graphics 630 (KBL GT2) (0x5912)
    Version: 20.3.4
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.6
    Max compat profile version: 4.6
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) HD Graphics 630 (KBL GT2)
OpenGL core profile version string: 4.6 (Core Profile) Mesa 20.3.4
OpenGL core profile shading language version string: 4.60
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.3.4
OpenGL shading language version string: 4.60
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 20.3.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 



tu pourra comparer et installer la prise en charge i386
si le matériel est trop ancien pas trop de solutions

remarque : il tourne chez moi avec le gpu 630 intel (installé)

Dernière modification par robert2a (11-05-2021 15:07:15)

Hors ligne

#4 11-05-2021 17:14:28

ubub
Membre
Distrib. : debian sid && stable
(G)UI : xfce
Inscription : 14-05-2019

Re : [clos] update video-card driver

Bonjour robert2a ,
réinstallé mesa-utils , puis:

$ glxinfo -B



name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) 945GM  (0x27a2)
    Version: 18.3.6
    Accelerated: yes
    Video memory: 192MB
    Unified memory: yes
    Preferred profile: compat (0x2)
    Max core profile version: 0.0
    Max compat profile version: 1.4
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 2.0
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 945GM
OpenGL version string: 1.4 Mesa 18.3.6

OpenGL ES profile version string: OpenGL ES 2.0 Mesa 18.3.6
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.



... toujours pas glop :
./oh-my-git
ERROR: make_dir_recursive: Method failed. Returning: err
   At: core/os/dir_access.cpp:185.
Godot Engine v3.2.3.stable.official - https://godotengine.org
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  34 ()
  Serial number of failed request:  27
  Current serial number in output stream:  25
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  34 ()
  Serial number of failed request:  27
  Current serial number in output stream:  25
ERROR: initialize: Condition "ctxErrorOccurred || !p->glx_context" is true. Returned: ERR_UNCONFIGURED
   At: platform/x11/context_gl_x11.cpp:190.
ERROR: is_viable: Error initializing GLAD
   At: drivers/gles3/rasterizer_gles3.cpp:141.

pour les logs, je sais pas trop quoi regarder... y'en a à la louche...
les derniers sont de ce style:

[   470.213] (EE) event5  - SynPS/2 Synaptics TouchPad: kernel bug: Touch jump detected and discarded.
See https://wayland.freedesktop.org/libinput/doc/1.12.6/touchpad-jumping-cursors.html for details
 

  pas sur que ce soit en rapport... Au fait, l'ordi est un 64 bits ...

En ligne

#5 11-05-2021 17:39:40

ubub
Membre
Distrib. : debian sid && stable
(G)UI : xfce
Inscription : 14-05-2019

Re : [clos] update video-card driver

En fait je me demande juste si c'est jouable sous Buster.. Le log, là, il parle du noyau 5.10 , non ??

cat /var/log/Xorg.0.log


[    12.693] Build Operating System: Linux 5.10.0-6-amd64 x86_64 Debian
[    12.693] Current Operating System: Linux Tsixty 4.19.0-16-amd64 #1 SMP Debian 4.19.181-1 (2021-03-19) x86_64


parce que apres, ca a l'air d'aller:

[    12.775] (II) LoadModule: "glx"
[    12.779] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    12.920] (II) Module glx: vendor="X.Org Foundation"
[    12.920]  compiled for 1.20.4, module version = 1.0.0
[    12.920]  ABI class: X.Org Server Extension, version 10.0
[    12.920] (==) Matched intel as autoconfigured driver 0
[    12.920] (==) Matched modesetting as autoconfigured driver 1
[    12.920] (==) Matched fbdev as autoconfigured driver 2
[    12.920] (==) Matched vesa as autoconfigured driver 3
[    12.920] (II) LoadModule: "intel"
[    12.926] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    12.956] (II) LoadModule: "modesetting"
[    12.956] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.s
[    12.960] (II) LoadModule: "fbdev"
[    12.960] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    12.962] (II) LoadModule: "vesa"
[    12.963] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    12.965] (II) Module vesa: vendor="X.Org Foundation"


ca a l'air d'y avoir tous les modules qu'il cherche   ...

En ligne

#6 11-05-2021 19:37:18

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : [clos] update video-card driver

il semble que ton gpu intel soit trop vieux


OpenGL renderer string: Mesa DRI Intel(R) 945GM
 



pour moi


OpenGL renderer string: Mesa Intel(R) HD Graphics 630 (KBL GT2)
 



il faudrait voir ton cpu et ton chipset , et voir quel type de gpu , intégré au cpu ou au chipset intel

trop vieux => https://www.intel.fr/content/www/fr/fr/ … amily.html
ps: gpu intégré dans le chipset

Hors ligne

#7 11-05-2021 19:53:08

ubub
Membre
Distrib. : debian sid && stable
(G)UI : xfce
Inscription : 14-05-2019

Re : [clos] update video-card driver

Ok, merci, me doutait qu'il y avait un probleme de vieillesse, mais le message de base m'a fait douter....

inxi --cpu


CPU:
  Topology: Dual Core model: Intel Core2 T5500 bits: 64 type: MCP
  L2 cache: 2048 KiB


je regarderai ces histoires de chipset et gpu plus tard ... Mais .. je crois pas beaucoup de trouver la fontaine de jouvence ...
  Merci pour les pistes

En ligne

#8 11-05-2021 21:33:56

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : [clos] update video-card driver

Hors ligne

Pied de page des forums